<?php


namespace App\ViewModels\Agenda\AgendaUpdateViewModel;


use App\Utils\Entity;

class AgendaUpdateViewModel extends Entity
{

    protected $id_tipo_procedimento;
    protected $alterado_por;

    public static function builder() : AgendaUpdateViewModelBuilder
    {
        return new AgendaUpdateViewModelBuilder;
    }

    public function getIdTipoProcedimento(): ?int
    {
        return $this->id_tipo_procedimento;
    }

    public function getAlteradoPor(): ?int
    {
        return $this->alterado_por;
    }

    public function setIdTipoProcedimento(?int $id_tipo_procedimento): void
    {
        $this->id_tipo_procedimento = $id_tipo_procedimento;
    }

    public function setAlteradoPor(?int $alterado_por): void
    {
        $this->alterado_por = $alterado_por;
    }

}